# RayLib 2D Challenge - Part 10

Code developed as part of the RayLib 2D Challenge; a challenge to see how easy it is to create a proto 2D platform game using RayLib. You can follow it here: https://keasigmadelta.com/blog/tag/raylib-2d-challenge 

## Usage
The source code is organized into sub-directories for each part of the 2D challenge. Each sub-directory contains the following:
- The source-code, including a makefile
- Data files (that we own the copyright to, or have permission to distribute)
- Links.txt - that links to the blog-post/article and other useful resources

It may also contain:
- Resources.txt - links to resources needed to run the code that aren't included. This includes image and sound files that we don't have permission to include
- Credits.txt - contains credits
- License.txt - the source code license (each part is released independently)
- Third party licenses - for any third party modules or data files in addition to RayLib

## Building

The source code can be built with CMake and a suitable C++ compiler (e.g., GCC, Visual Studio, XCode). Dependencies not included in ThirdParty/ will be automatically downloaded and installed. 

The following commands will build the project (executed in the root directory):
mkdir build
cd build
cmake ..
cmake --build .

After executing the above, you can rebuild the code by executing "cmake --build ." inside the build/ subdirectory that you created.


## Support
Use the issue tracker to submit any bug reports: https://gitlab.com/keasigmadelta/raylib-2d-challenge/-/issues
Use the following contact form for other queries, comments, etc.:
keasigmadelta.com/support/

## Contributing
Bug reports and fixes are welcome. Try to follow a similar style to the code you see, and create a merge/pull request for the changes.

Also, let us know if you create an actual game using this code as a starting point. 

## Authors and acknowledgment
Thanks to everyone who followed and supported the RayLib 2D Challenge.

## License
See License.txt for the license.


## Building

